Skip to main content
GET
/
api
/
v1
/
reconciliations
Mutabakatları listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/reconciliations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scope": "<string>",
      "connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_config_name": "<string>",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_name": "<string>",
      "bank_code": "<string>",
      "period": "<string>",
      "period_start": "2023-11-07T05:31:56Z",
      "period_end": "2023-11-07T05:31:56Z",
      "reconciliation_date": "2023-12-25",
      "total_db_transactions": 123,
      "total_bank_transactions": 123,
      "matched_count": 123,
      "amount_mismatch_count": 123,
      "status_mismatch_count": 123,
      "orphan_db_count": 123,
      "orphan_bank_count": 123,
      "resolved_count": 123,
      "ignored_count": 123,
      "total_db_amount": 123,
      "total_bank_amount": 123,
      "overall_status": "<string>",
      "finalized_at": "2023-11-07T05:31:56Z",
      "finalized_by": "<string>",
      "notes": "<string>",
      "created": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

page
integer<int32>
page_size
integer<int32>
scope
enum<string>
Available options:
Connector,
Merchant
connector_config_id
string<uuid>
merchant_id
string<uuid>
bank_code
string
period
enum<string>
Available options:
Daily,
Monthly,
Yearly,
Custom
overall_status
enum<string>
Available options:
Draft,
InReview,
Completed,
PartiallyCompleted,
Cancelled
start_date
string<date-time>
end_date
string<date-time>

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only